/*****************************************************************************
* voceisync_stats.h
*
*****************************************************************************/

#if !defined(__VOICESYNC_STATS_H__)
# define __VOICESYNC_STATS_H__

typedef struct __voicesync_stats {

	int		ready;

	int 		rx_bytes;

	os_time_t 	last_sec;
	os_suseconds_t	last_usec;
	int 		last_rxbytes; 
	int		count;
	unsigned long	ms;

	os_timer_t	timer;
	int		skip;

} voicesync_stats_t;


int voicesync_stats_init(voicesync_stats_t*);
void voicesync_stats_release(voicesync_stats_t*);

#endif /* __VOICESYNC_STATS_H__ */
